curl --request POST \
--url https://api.anhome.tuanle.dev/api/v1/tenant/invoices/{invoice_id}/payment-confirmations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "1250000",
"paid_at": "2023-11-07T05:31:56Z",
"transfer_reference": "<string>",
"receipt_url": "<string>",
"note": "<string>"
}
'import requests
url = "https://api.anhome.tuanle.dev/api/v1/tenant/invoices/{invoice_id}/payment-confirmations"
payload = {
"amount": "1250000",
"paid_at": "2023-11-07T05:31:56Z",
"transfer_reference": "<string>",
"receipt_url": "<string>",
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '1250000',
paid_at: '2023-11-07T05:31:56Z',
transfer_reference: '<string>',
receipt_url: '<string>',
note: '<string>'
})
};
fetch('https://api.anhome.tuanle.dev/api/v1/tenant/invoices/{invoice_id}/payment-confirmations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"transfer_reference": "<string>",
"receipt_url": "<string>",
"note": "<string>"
},
"request_id": "<string>",
"meta": {}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"fields": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": "<unknown>"
}
}Create tenant payment confirmation
Implements a real Phase 5 tenant/renter API route with persisted data access and tenant/organization scoping.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter invoice_id.
Body
JSON request payload for tenant_create_payment_confirmation.
Request payload for create tenant payment confirmation.
Money amount represented in the API currency unit.
1 - 32"1250000"
paid at value for create tenant payment confirmation request.
transfer reference value for create tenant payment confirmation request.
160receipt url value for create tenant payment confirmation request.
500Optional note captured by the operator.
1000Response
Tenant API operation succeeded
Endpoint-specific response payload. See the referenced schema for the resource fields.
Show child attributes
Show child attributes
Request correlation identifier returned from X-Request-Id or generated by the API.
Optional response metadata such as pagination limits, counts, or export context.